Raritan PX2/PX3 JSON-RPC API

Modules | Classes | Enumerations
auth Module Reference

Local and Remote Authentication Management. More...

## Modules
module | ldapsrv
| LDAP server interface.

## Classes
interface | AuthManager
| Authentication manager interface. More...
interface | LdapManager_2_0_0
| LDAP server configuration interface. More...
struct | Policy
| Authentication policy. More...
interface | RadiusManager_2_0_0
| RADIUS server configuration interface. More...

## Enumerations
enum | Type { LOCAL, RADIUS, KERBEROS, TACACS_PLUS, LDAP }
| Authentication type. More...

## Detailed Description

Local and Remote Authentication Management.

## Enumeration Type Documentation

## ◆ Type

enum auth::Type

Authentication type.

Enumerator
LOCAL | local authentication
RADIUS | authentication via radius server
KERBEROS | authentication with kerberos tickets (not implemented)
TACACS_PLUS | authentication via TACACS+ (not implemented)
LDAP | authentication via LDAP server